Summary:	The Vorbis General Audio Compression Codec tools
Name:		vorbis-tools
Version:	1.4.2
Release:    7%{?dist}
License:	GPLv2
URL:		https://www.xiph.org/
Source0:	https://ftp.osuosl.org/pub/xiph/releases/vorbis/%{name}-%{version}.tar.gz

Patch0001:  fix-CVE-2023-43361.patch

Patch3000:	vorbis-tools-1.4.2-man-page.patch
Patch3001:	vorbis-tools-c99.patch

BuildRequires:	flac-devel gettext gcc libao-devel make
BuildRequires:	libcurl-devel libvorbis-devel speex-devel

Provides:	vorbis = %{version}-%{release}
Provides: bundled(gnulib)

%description
Ogg Vorbis is a fully open, non-proprietary, patent- and royalty-free,
general-purpose compressed audio format for audio and music at fixed
and variable bitrates from 16 to 128 kbps/channel.

The vorbis package contains an encoder, a decoder, a playback tool, and a
comment editor.


%prep
%autosetup -p1


%build
export CFLAGS="$RPM_OPT_FLAGS -Wno-error=format-security"
%configure
%make_build


%install
%make_install
rm -rf %{buildroot}%{_docdir}/%{name}*
%find_lang %{name}


%files -f %{name}.lang
%license COPYING
%doc AUTHORS README ogg123/ogg123rc-example
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Thu Nov 09 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.2-7
- fix CVE-2023-43361.

* Thu Oct 12 2023 Miaojun Dong <zoedong@tencent.com> - 1.4.2-6
- Rebuild for curl-8.4.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli@tencent.com - 1.4.2-4
- Rebuilt for flac 1.4.3

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.2-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Mar 17 2023 cunshunxia <cunshunxia@tencent.com> - 1.4.2-1
- initial build
